OPi Zero DietPi Stretch Issue with FlightAware Dump1090-fa

Having issues with your DietPi installation, or, found a bug? Post it here.
Post Reply
fungsaihou
Posts: 6
Joined: Sun Feb 11, 2018 6:44 am

OPi Zero DietPi Stretch Issue with FlightAware Dump1090-fa

Post by fungsaihou »

Hi everyone,

I am facing an installation problem on FlightAware PiAware. Please refer to the RED lines for more info.

root@DietPi:~# sudo apt-get install dump1090-fa
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
bladerf bladerf-fpga-hostedx40 file libbladerf-udev libbladerf1 libfam0 libmagic-mgc libmagic1 librtlsdr0 libtecla1 lighttpd mime-support spawn-fcgi xz-utils
Suggested packages:
bladerf-firmware fam rrdtool php5-cgi apache2-utils lighttpd-doc
The following NEW packages will be installed:
bladerf bladerf-fpga-hostedx40 dump1090-fa file libbladerf-udev libbladerf1 libfam0 libmagic-mgc libmagic1 librtlsdr0 libtecla1 lighttpd mime-support spawn-fcgi xz-utils
0 upgraded, 15 newly installed, 0 to remove and 0 not upgraded.
Need to get 3,492 kB of archives.
After this operation, 21.1 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://flightaware.com/adsb/piaware/files/packages jessie/piaware armhf libbladerf1 armhf 2016.06+fa1 [70.9 kB]
Get:2 http://ftp.debian.org/debian stretch/main armhf libmagic-mgc armhf 1:5.30-1+deb9u1 [222 kB]
Get:3 http://flightaware.com/adsb/piaware/files/packages jessie/piaware armhf libbladerf-udev armhf 2016.06+fa1 [9,784 B]
Get:4 http://flightaware.com/adsb/piaware/files/packages jessie/piaware armhf bladerf armhf 2016.06+fa1 [74.9 kB]
Get:5 http://flightaware.com/adsb/piaware/files/packages jessie/piaware armhf bladerf-fpga-hostedx40 armhf 2016.06+fa1 [8,286 B]
Get:6 http://flightaware.com/adsb/piaware/files/packages jessie/piaware armhf dump1090-fa armhf 3.5.3 [2,221 kB]
Get:7 http://ftp.debian.org/debian stretch/main armhf libmagic1 armhf 1:5.30-1+deb9u1 [105 kB]
Get:8 http://ftp.debian.org/debian stretch/main armhf file armhf 1:5.30-1+deb9u1 [63.7 kB]
Get:9 http://ftp.debian.org/debian stretch/main armhf mime-support all 3.60 [36.7 kB]
Get:10 http://ftp.debian.org/debian stretch/main armhf xz-utils armhf 5.2.2-1.2+b1 [263 kB]
Get:11 http://ftp.debian.org/debian stretch/main armhf libfam0 armhf 2.7.0-17.2+b1 [24.7 kB]
Get:12 http://ftp.debian.org/debian stretch/main armhf libtecla1 armhf 1.6.3-1 [88.2 kB]
Get:13 http://ftp.debian.org/debian stretch/main armhf lighttpd armhf 1.4.45-1 [263 kB]
Get:14 http://ftp.debian.org/debian stretch/main armhf librtlsdr0 armhf 0.5.3-11+b2 [25.5 kB]
Get:15 http://ftp.debian.org/debian stretch/main armhf spawn-fcgi armhf 1.6.4-1+b1 [14.2 kB]
Fetched 3,492 kB in 3s (1,029 kB/s)
Selecting previously unselected package libbladerf1:armhf.
(Reading database ... 17577 files and directories currently installed.)
Preparing to unpack .../00-libbladerf1_2016.06+fa1_armhf.deb ...
Unpacking libbladerf1:armhf (2016.06+fa1) ...
Selecting previously unselected package libmagic-mgc.
Preparing to unpack .../01-libmagic-mgc_1%3a5.30-1+deb9u1_armhf.deb ...
Unpacking libmagic-mgc (1:5.30-1+deb9u1) ...
Selecting previously unselected package libmagic1:armhf.
Preparing to unpack .../02-libmagic1_1%3a5.30-1+deb9u1_armhf.deb ...
Unpacking libmagic1:armhf (1:5.30-1+deb9u1) ...
Selecting previously unselected package file.
Preparing to unpack .../03-file_1%3a5.30-1+deb9u1_armhf.deb ...
Unpacking file (1:5.30-1+deb9u1) ...
Selecting previously unselected package mime-support.
Preparing to unpack .../04-mime-support_3.60_all.deb ...
Unpacking mime-support (3.60) ...
Selecting previously unselected package xz-utils.
Preparing to unpack .../05-xz-utils_5.2.2-1.2+b1_armhf.deb ...
Unpacking xz-utils (5.2.2-1.2+b1) ...
Selecting previously unselected package libfam0:armhf.
Preparing to unpack .../06-libfam0_2.7.0-17.2+b1_armhf.deb ...
Unpacking libfam0:armhf (2.7.0-17.2+b1) ...
Selecting previously unselected package libtecla1.
Preparing to unpack .../07-libtecla1_1.6.3-1_armhf.deb ...
Unpacking libtecla1 (1.6.3-1) ...
Selecting previously unselected package lighttpd.
Preparing to unpack .../08-lighttpd_1.4.45-1_armhf.deb ...
Unpacking lighttpd (1.4.45-1) ...
Selecting previously unselected package libbladerf-udev:armhf.
Preparing to unpack .../09-libbladerf-udev_2016.06+fa1_armhf.deb ...
Unpacking libbladerf-udev:armhf (2016.06+fa1) ...
Selecting previously unselected package bladerf.
Preparing to unpack .../10-bladerf_2016.06+fa1_armhf.deb ...
Unpacking bladerf (2016.06+fa1) ...
Selecting previously unselected package bladerf-fpga-hostedx40.
Preparing to unpack .../11-bladerf-fpga-hostedx40_2016.06+fa1_armhf.deb ...
Unpacking bladerf-fpga-hostedx40 (2016.06+fa1) ...
Selecting previously unselected package librtlsdr0:armhf.
Preparing to unpack .../12-librtlsdr0_0.5.3-11+b2_armhf.deb ...
Unpacking librtlsdr0:armhf (0.5.3-11+b2) ...
Selecting previously unselected package dump1090-fa.
Preparing to unpack .../13-dump1090-fa_3.5.3_armhf.deb ...
Unpacking dump1090-fa (3.5.3) ...
Selecting previously unselected package spawn-fcgi.
Preparing to unpack .../14-spawn-fcgi_1.6.4-1+b1_armhf.deb ...
Unpacking spawn-fcgi (1.6.4-1+b1) ...
Setting up libbladerf-udev:armhf (2016.06+fa1) ...
Setting up libbladerf1:armhf (2016.06+fa1) ...
Setting up libfam0:armhf (2.7.0-17.2+b1) ...
Setting up mime-support (3.60) ...
Setting up libtecla1 (1.6.3-1) ...
Setting up libmagic-mgc (1:5.30-1+deb9u1) ...
Setting up libmagic1:armhf (1:5.30-1+deb9u1) ...
Setting up librtlsdr0:armhf (0.5.3-11+b2) ...
Setting up spawn-fcgi (1.6.4-1+b1) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...
Setting up xz-utils (5.2.2-1.2+b1) ...
update-alternatives: using /usr/bin/xz to provide /usr/bin/lzma (lzma) in auto mode
Setting up lighttpd (1.4.45-1) ...
Created symlink /etc/systemd/system/multi-user.target.wants/lighttpd.service → /lib/systemd/system/lighttpd.service.
Processing triggers for systemd (232-25+deb9u1) ...
Setting up bladerf (2016.06+fa1) ...
Setting up bladerf-fpga-hostedx40 (2016.06+fa1) ...
Either your FPGA bitstream is missing, or it is out-of-date.
Downloading FPGA bitstream from https://www.nuand.com/fpga/v0.6.0/hostedx40.rbf...
--2018-02-15 08:24:35-- https://www.nuand.com/fpga/v0.6.0/hostedx40.rbf
Resolving http://www.nuand.com (http://www.nuand.com)... 198.23.74.122
Connecting to http://www.nuand.com (http://www.nuand.com)|198.23.74.122|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1191788 (1.1M) [application/octet-stream]
Saving to: ‘/tmp/tmp.9W9TwXxtHj’

/tmp/tmp.9W9TwXxtHj 100%[===========================================================================================>] 1.14M 414KB/s in 2.8s

2018-02-15 08:24:39 (414 KB/s) - ‘/tmp/tmp.9W9TwXxtHj’ saved [1191788/1191788]

/tmp/tmp.9W9TwXxtHj: OK
Download successful, copying to /usr/share/Nuand/bladeRF/hostedx40.rbf
Setting up dump1090-fa (3.5.3) ...
Adding user `dump1090' to group `plugdev' ...
Adding user dump1090 to group plugdev
Done.
Enabling lighttpd integration..
Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/arm-linux-gnueabihf/perl5/5.24 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/arm-linux-gnueabihf/perl-base .) at /usr/sbin/lighty-enable-mod line 17.
BEGIN failed--compilation aborted at /usr/sbin/lighty-enable-mod line 17.
grep: /etc/lighttpd/conf-enabled/*.conf: No such file or directory
Enabling lighttpd integration (stat cache)..
Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/arm-linux-gnueabihf/perl5/5.24 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/arm-linux-gnueabihf/perl-base .) at /usr/sbin/lighty-enable-mod line 17.
BEGIN failed--compilation aborted at /usr/sbin/lighty-enable-mod line 17.
Restarting lighttpd..

Created symlink /etc/systemd/system/default.target.wants/dump1090-fa.service → /lib/systemd/system/dump1090-fa.service.
Setting up file (1:5.30-1+deb9u1) ...
root@DietPi:~# sudo apt-get install piaware-web
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
piaware-web
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 80.1 kB of archives.
After this operation, 383 kB of additional disk space will be used.
Get:1 http://flightaware.com/adsb/piaware/files/packages jessie/piaware armhf piaware-web all 3.5.0 [80.1 kB]
Fetched 80.1 kB in 0s (182 kB/s)
Selecting previously unselected package piaware-web.
(Reading database ... 18469 files and directories currently installed.)
Preparing to unpack .../piaware-web_3.5.0_all.deb ...
Unpacking piaware-web (3.5.0) ...
Setting up piaware-web (3.5.0) ...
Enabling lighttpd integration..
Can't locate Term/ReadLine.pm in @INC (you may need to install the Term::ReadLine module) (@INC contains: /etc/perl /usr/local/lib/arm-linux-gnueabihf/perl/5.24.1 /usr/local/share/perl/5.24.1 /usr/lib/arm-linux-gnueabihf/perl5/5.24 /usr/share/perl5 /usr/lib/arm-linux-gnueabihf/perl/5.24 /usr/share/perl/5.24 /usr/local/lib/site_perl /usr/lib/arm-linux-gnueabihf/perl-base .) at /usr/sbin/lighty-enable-mod line 17.
BEGIN failed--compilation aborted at /usr/sbin/lighty-enable-mod line 17.

Restarting lighttpd..
root@DietPi:~#


I hope experts here can help me to solve this issue. Thank you very much.

Regards,
SaiHou
User avatar
WarHawk
Posts: 610
Joined: Thu Jul 20, 2017 8:55 am

Re: OPi Zero DietPi Stretch Issue with FlightAware Dump1090-

Post by WarHawk »

I googled that string -you may need to install the Term::ReadLine module-

https://metacpan.org/pod/distribution/T ... README.pod

Might need to install perl5

Code: Select all

perldoc -m Moose | grep VERSION
If needing to install if not present
https://learn.perl.org/installing/unix_linux.html

More info pertaining to PiAware
https://flightaware.com/adsb/piaware/install
fungsaihou
Posts: 6
Joined: Sun Feb 11, 2018 6:44 am

Re: OPi Zero DietPi Stretch Issue with FlightAware Dump1090-

Post by fungsaihou »

WarHawk wrote:I googled that string -you may need to install the Term::ReadLine module-

https://metacpan.org/pod/distribution/T ... README.pod

Might need to install perl5

Code: Select all

perldoc -m Moose | grep VERSION
If needing to install if not present
https://learn.perl.org/installing/unix_linux.html

More info pertaining to PiAware
https://flightaware.com/adsb/piaware/install
Thank you for the reply.

I am not familiar with the linux commands, any guide to install this Term::ReadLine module-?

Thank you.
fungsaihou
Posts: 6
Joined: Sun Feb 11, 2018 6:44 am

Re: OPi Zero DietPi Stretch Issue with FlightAware Dump1090-

Post by fungsaihou »

WarHawk wrote:I googled that string -you may need to install the Term::ReadLine module-

https://metacpan.org/pod/distribution/T ... README.pod

Might need to install perl5

Code: Select all

perldoc -m Moose | grep VERSION
If needing to install if not present
https://learn.perl.org/installing/unix_linux.html

More info pertaining to PiAware
https://flightaware.com/adsb/piaware/install
Previously I am using the DietPi Jessie without any issue. Because of DietPi/Fuzon no longer support the Jessie version then I flashed to new image and facing this problem.

I am surprised that the DietPi Stretch for OrangePi PC installed and with FlightAware PiAware and no problem with this match.

Only this image for OrangePi Zero with PiAware got problem.

Hope anyone can help. Thank you.

Best Regards,
SaiHou
fungsaihou
Posts: 6
Joined: Sun Feb 11, 2018 6:44 am

Re: OPi Zero DietPi Stretch Issue with FlightAware Dump1090-

Post by fungsaihou »

Dear All,

Finally I've got some help from FlightAware Team and they assist me to solve this problem by guiding me to install a package.

sudo apt-get update
sudo apt-get install libterm-readline-perl-perl

It fixes the problem by removing the dump1090-fa & piaware-web and reinstall them and no errors found on these 2 installation.

I hope that the admin or the developer for DietPi can look into this. Try not to stripped off too much of the packages. Thank you.

Regards,
SaiHou
Post Reply